package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * ModifyMspRoleVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class ModifyMspRoleVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("privilege")
  private MspRoleVo privilege;

  public ModifyMspRoleVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Role name should contain 1 to 128 ASCII characters.
   * @return name
  */
  @ApiModelProperty(required = true, value = "Role name should contain 1 to 128 ASCII characters.")
  @NotNull

@Pattern(regexp="^[\\041-\\0176]$|^[\\041-\\0176][\\040-\\0176]{0,126}[\\041-\\0176]$") 
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public ModifyMspRoleVo privilege(MspRoleVo privilege) {
    this.privilege = privilege;
    return this;
  }

  /**
   * Get privilege
   * @return privilege
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull

  @Valid

  public MspRoleVo getPrivilege() {
    return privilege;
  }

  public void setPrivilege(MspRoleVo privilege) {
    this.privilege = privilege;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModifyMspRoleVo modifyMspRoleVo = (ModifyMspRoleVo) o;
    return Objects.equals(this.name, modifyMspRoleVo.name) &&
        Objects.equals(this.privilege, modifyMspRoleVo.privilege);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, privilege);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModifyMspRoleVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    privilege: ").append(toIndentedString(privilege)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

